RubyGems Navigation menu

activeinteractor 1.1.1

An implementation of the Command Pattern for Ruby with ActiveModel::Validations inspired by the interactor gem. Rich support for attributes, callbacks, and validations, and thread safe performance methods.

Versiones:

  1. 1.1.1 - October 21, 2020 (40 KB)
  2. 1.1.0 - October 04, 2020 (40 KB)
  3. 1.0.5 - September 16, 2020 (40 KB)
  4. 1.0.4 - February 11, 2020 (40 KB)
  5. 1.0.3 - February 11, 2020 (30 KB)
Mostrar todas las versiones (30 total)

dependencias de Runtime (2):

  • activemodel >= 4.2, < 7.0
  • activesupport >= 4.2, < 7.0
  • dependencias de Development (3):

  • bundler ~> 2.0
  • rake ~> 13.0
  • rspec ~> 3.9
  • Propietarios:

    Subida por:

    Autores:

    • Aaron Allen

    SHA 256 checksum:

    6ced89a38de9eb9354a0f0026fb31e8f1956c262a8613ec3a60ff4625f9bcd6a

    Total de descargas 13.146

    Para esta versión 127

    Gemfile:
    = Copiar al portapapeles ¡Copiado!

    instalar:
    =

    Licencia:

    MIT

    Versión de Ruby requerida: >= 2.5.0

    Enlace: